Get Registry Credential Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"updated_at": "<string>",
"username": "<string>",
"provider": "helm",
"system": false
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
Get Registry Credential Endpoint
GET
/
api
/
v1
/
org
/
helm
/
credentials
/
{credential_name}
Get Registry Credential Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/credentials/{credential_name} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"updated_at": "<string>",
"username": "<string>",
"provider": "helm",
"system": false
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
253